Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

bug: default can install alpha version #1447

Closed
henryzp opened this issue Aug 22, 2019 · 2 comments

Comments

@henryzp
Copy link

commented Aug 22, 2019

Describe the bug
when I publish a version like 2.0.0-alpha.1
I don't want anyone to be able to install the alpha version by default, only @next can, with the NPM rules of the public network

To Reproduce

  1. publish package like 2.0.0-alpha.1
    2.yarn install,can get the version 2.0.0-alpha.1

Expected behavior

cannot get the alpha version

@DanielRuf

This comment has been minimized.

Copy link
Member

commented Aug 22, 2019

Hi @henryzp,

Please fill out our issue template, especially please provide the configuration.

By default all the packages are available for all users.

@henryzp

This comment has been minimized.

Copy link
Author

commented Aug 22, 2019

@DanielRuf ,I can publish with --tag。it can work

@henryzp henryzp closed this Aug 22, 2019

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
2 participants
You can’t perform that action at this time.